owl (2.2.2-1.1) configure

Summary

 configure |  361 ++++++++++++++------------------------------------------------
 1 file changed, 87 insertions(+), 274 deletions(-)

    
download this patch

Patch contents

--- owl-2.2.2.orig/configure
+++ owl-2.2.2/configure
@@ -2635,11 +2635,13 @@
 
 { echo "$as_me:$LINENO: checking for /usr/include/kerberosIV" >&5
 echo $ECHO_N "checking for /usr/include/kerberosIV... $ECHO_C" >&6; }
-if test -d /usr/include/kerberosIV; then
-        CFLAGS=${CFLAGS}\ -I/usr/include/kerberosIV
-        CPPFLAGS=${CPPFLAGS}\ -I/usr/include/kerberosIV
-        { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
+{ echo "$as_me:$LINENO: result: DEPRECATED" >&5
+echo "${ECHO_T}DEPRECATED" >&6; }
+if test -d /usr/include/openssl; then
+        CFLAGS=${CFLAGS}\ -I/usr/include/openssl
+        CPPFLAGS=${CPPFLAGS}\ -I/usr/include/openssl
+        { echo "$as_me:$LINENO: result: OpenSSL DES found instead" >&5
+echo "${ECHO_T}OpenSSL DES found instead" >&6; }
 else
         { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
@@ -3116,13 +3118,13 @@
 fi
 
 
-{ echo "$as_me:$LINENO: checking for krb5_derive_key in -lk5crypto" >&5
-echo $ECHO_N "checking for krb5_derive_key in -lk5crypto... $ECHO_C" >&6; }
-if test "${ac_cv_lib_k5crypto_krb5_derive_key+set}" = set; then
+{ echo "$as_me:$LINENO: checking for DES_cbc_encrypt in -lcrypto" >&5
+echo $ECHO_N "checking for DES_cbc_encrypt in -lcrypto... $ECHO_C" >&6; }
+if test "${ac_cv_lib_crypto_DES_cbc_encrypt+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lk5crypto  $LIBS"
+LIBS="-lcrypto  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -3136,11 +3138,11 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char krb5_derive_key ();
+char DES_cbc_encrypt ();
 int
 main ()
 {
-return krb5_derive_key ();
+return DES_cbc_encrypt ();
   ;
   return 0;
 }
@@ -3163,97 +3165,26 @@
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_k5crypto_krb5_derive_key=yes
+  ac_cv_lib_crypto_DES_cbc_encrypt=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_k5crypto_krb5_derive_key=no
+	ac_cv_lib_crypto_DES_cbc_encrypt=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_k5crypto_krb5_derive_key" >&5
-echo "${ECHO_T}$ac_cv_lib_k5crypto_krb5_derive_key" >&6; }
-if test $ac_cv_lib_k5crypto_krb5_derive_key = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_crypto_DES_cbc_encrypt" >&5
+echo "${ECHO_T}$ac_cv_lib_crypto_DES_cbc_encrypt" >&6; }
+if test $ac_cv_lib_crypto_DES_cbc_encrypt = yes; then
   cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBK5CRYPTO 1
+#define HAVE_LIBCRYPTO 1
 _ACEOF
 
-  LIBS="-lk5crypto $LIBS"
-
-fi
-
-
-{ echo "$as_me:$LINENO: checking for des_cbc_encrypt in -ldes425" >&5
-echo $ECHO_N "checking for des_cbc_encrypt in -ldes425... $ECHO_C" >&6; }
-if test "${ac_cv_lib_des425_des_cbc_encrypt+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-ldes425  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char des_cbc_encrypt ();
-int
-main ()
-{
-return des_cbc_encrypt ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_des425_des_cbc_encrypt=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_des425_des_cbc_encrypt=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_des425_des_cbc_encrypt" >&5
-echo "${ECHO_T}$ac_cv_lib_des425_des_cbc_encrypt" >&6; }
-if test $ac_cv_lib_des425_des_cbc_encrypt = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBDES425 1
-_ACEOF
-
-  LIBS="-ldes425 $LIBS"
+  LIBS="-lcrypto $LIBS"
 
 fi
 
@@ -3329,13 +3260,13 @@
 fi
 
 
-{ echo "$as_me:$LINENO: checking for krb5_get_credentials in -lkrb5" >&5
-echo $ECHO_N "checking for krb5_get_credentials in -lkrb5... $ECHO_C" >&6; }
-if test "${ac_cv_lib_krb5_krb5_get_credentials+set}" = set; then
+{ echo "$as_me:$LINENO: checking for ZGetSender in -lzephyr" >&5
+echo $ECHO_N "checking for ZGetSender in -lzephyr... $ECHO_C" >&6; }
+if test "${ac_cv_lib_zephyr_ZGetSender+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lkrb5  $LIBS"
+LIBS="-lzephyr  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -3349,11 +3280,11 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char krb5_get_credentials ();
+char ZGetSender ();
 int
 main ()
 {
-return krb5_get_credentials ();
+return ZGetSender ();
   ;
   return 0;
 }
@@ -3376,37 +3307,36 @@
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_krb5_krb5_get_credentials=yes
+  ac_cv_lib_zephyr_ZGetSender=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_krb5_krb5_get_credentials=no
+	ac_cv_lib_zephyr_ZGetSender=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_krb5_krb5_get_credentials" >&5
-echo "${ECHO_T}$ac_cv_lib_krb5_krb5_get_credentials" >&6; }
-if test $ac_cv_lib_krb5_krb5_get_credentials = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_zephyr_ZGetSender" >&5
+echo "${ECHO_T}$ac_cv_lib_zephyr_ZGetSender" >&6; }
+if test $ac_cv_lib_zephyr_ZGetSender = yes; then
   cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBKRB5 1
+#define HAVE_LIBZEPHYR 1
 _ACEOF
 
-  LIBS="-lkrb5 $LIBS"
+  LIBS="-lzephyr $LIBS"
 
 fi
 
-
-{ echo "$as_me:$LINENO: checking for krb_sendauth in -lkrb4" >&5
-echo $ECHO_N "checking for krb_sendauth in -lkrb4... $ECHO_C" >&6; }
-if test "${ac_cv_lib_krb4_krb_sendauth+set}" = set; then
+{ echo "$as_me:$LINENO: checking for ZInitLocationInfo in -lzephyr" >&5
+echo $ECHO_N "checking for ZInitLocationInfo in -lzephyr... $ECHO_C" >&6; }
+if test "${ac_cv_lib_zephyr_ZInitLocationInfo+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lkrb4  $LIBS"
+LIBS="-lzephyr  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -3420,11 +3350,11 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char krb_sendauth ();
+char ZInitLocationInfo ();
 int
 main ()
 {
-return krb_sendauth ();
+return ZInitLocationInfo ();
   ;
   return 0;
 }
@@ -3447,185 +3377,62 @@
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_krb4_krb_sendauth=yes
+  ac_cv_lib_zephyr_ZInitLocationInfo=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_krb4_krb_sendauth=no
+	ac_cv_lib_zephyr_ZInitLocationInfo=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_krb4_krb_sendauth" >&5
-echo "${ECHO_T}$ac_cv_lib_krb4_krb_sendauth" >&6; }
-if test $ac_cv_lib_krb4_krb_sendauth = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBKRB4 1
-_ACEOF
-
-  LIBS="-lkrb4 $LIBS"
-
-else
-
-{ echo "$as_me:$LINENO: checking for krb_sendauth in -lkrb" >&5
-echo $ECHO_N "checking for krb_sendauth in -lkrb... $ECHO_C" >&6; }
-if test "${ac_cv_lib_krb_krb_sendauth+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lkrb  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_zephyr_ZInitLocationInfo" >&5
+echo "${ECHO_T}$ac_cv_lib_zephyr_ZInitLocationInfo" >&6; }
+if test $ac_cv_lib_zephyr_ZInitLocationInfo = yes; then
 
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char krb_sendauth ();
-int
-main ()
-{
-return krb_sendauth ();
-  ;
-  return 0;
-}
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_LIBZEPHYR_ZINITLOCATIONINFO
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_krb_krb_sendauth=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_krb_krb_sendauth=no
 fi
 
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_krb_krb_sendauth" >&5
-echo "${ECHO_T}$ac_cv_lib_krb_krb_sendauth" >&6; }
-if test $ac_cv_lib_krb_krb_sendauth = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBKRB 1
-_ACEOF
 
-  LIBS="-lkrb $LIBS"
 
-fi
-
-fi
 
 
-{ echo "$as_me:$LINENO: checking for ZGetSender in -lzephyr" >&5
-echo $ECHO_N "checking for ZGetSender in -lzephyr... $ECHO_C" >&6; }
-if test "${ac_cv_lib_zephyr_ZGetSender+set}" = set; then
+for ac_func in DES_string_to_key  DES_ecb_encrypt DES_key_sched
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lzephyr  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
 
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char ZGetSender ();
-int
-main ()
-{
-return ZGetSender ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-	 test -z "$ac_c_werror_flag" ||
-	 test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_zephyr_ZGetSender=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-	ac_cv_lib_zephyr_ZGetSender=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_zephyr_ZGetSender" >&5
-echo "${ECHO_T}$ac_cv_lib_zephyr_ZGetSender" >&6; }
-if test $ac_cv_lib_zephyr_ZGetSender = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBZEPHYR 1
-_ACEOF
-
-  LIBS="-lzephyr $LIBS"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
 
-fi
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
 
-{ echo "$as_me:$LINENO: checking for ZInitLocationInfo in -lzephyr" >&5
-echo $ECHO_N "checking for ZInitLocationInfo in -lzephyr... $ECHO_C" >&6; }
-if test "${ac_cv_lib_zephyr_ZInitLocationInfo+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lzephyr  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
+#undef $ac_func
 
 /* Override any GCC internal prototype to avoid an error.
    Use char because int might match the return type of a GCC
@@ -3633,11 +3440,18 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char ZInitLocationInfo ();
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
 int
 main ()
 {
-return ZInitLocationInfo ();
+return $ac_func ();
   ;
   return 0;
 }
@@ -3660,28 +3474,27 @@
 	 test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_zephyr_ZInitLocationInfo=yes
+  eval "$as_ac_var=yes"
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-	ac_cv_lib_zephyr_ZInitLocationInfo=no
+	eval "$as_ac_var=no"
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_zephyr_ZInitLocationInfo" >&5
-echo "${ECHO_T}$ac_cv_lib_zephyr_ZInitLocationInfo" >&6; }
-if test $ac_cv_lib_zephyr_ZInitLocationInfo = yes; then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBZEPHYR_ZINITLOCATIONINFO
+ac_res=`eval echo '${'$as_ac_var'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
 _ACEOF
 
 fi
-
+done
 
 
 
@@ -4895,7 +4708,7 @@
 and GLIB_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&5
 echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
@@ -4905,7 +4718,7 @@
 and GLIB_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
@@ -4937,7 +4750,7 @@
    { (exit 1); exit 1; }; }
 fi
 
-FOO=`perl -MExtUtils::Embed -e ldopts | sed 's/,-E//' | sed 's/-liconv//'`
+FOO=`perl -MExtUtils::Embed -e ldopts | sed 's/-Wl,-E//' | sed 's/-liconv//'`
 echo Adding perl LDFLAGS ${FOO}
 LDFLAGS=${LDFLAGS}\ ${FOO}